# salt.modules.ifttt

Support for IFTTT

Added in version 2015.8.0.

Requires an `api_key` in `/etc/salt/minion`:

    ifttt:
      secret_key: '280d4699-a817-4719-ba6f-ca56e573e44f'

salt.modules.ifttt.trigger_event(event=None, **kwargs)

  Trigger a configured event in IFTTT.

  Parameters:

    event -- The name of the event to trigger.

  Returns:

    A dictionary with status, text, and error if result was failure.